# Farina di baobab

# DATI
param c_acq := 1000.0;	# Costi fissi []
param c_var := 10.00;	# Costi variabili [/Kg]
param k := 80;			# Coefficiente di proporzionalit
param Q_max := 70;		# Massima produzione [Kg/mese]
param P_max := 20;		# Prezzo massimo di vendita [/Kg]

# VARIABILI
# Quantit acquistata e venduta [Kg/mese]
var x >=0, <=Q_max, :=Q_max;

# OBIETTIVO
# Massimizzare profitti = ricavi - costi [/mese]
maximize z: P_max * x - (c_var * x + k * sqrt(x));

end;
