# Farina di baobab

# DATI
param c_acq := 1000.0;	# Costi fissi []
param c_var := 10.00;	# Costi variabili [/Kg]
param k := 80;			# Coefficiente di proporzionalit
param Q_max := 70;		# Massima produzione [Kg/mese]
param x := Q_max;		# Produzione (fissata) [kg/mese]

# VARIABILI
# Prezzo di vendita [/kg]
var P_max := 20;		

# OBIETTIVO
# Minimizzare prezzo di vendita [/kg]
minimize w: P_max;

# VINCOLO
subject to RestaConveniente:
  P_max * x - (c_var * x + k * sqrt(x)) >= 0;

end;
